{ pkgs, ... }: 
{
  home = {
    packages = with pkgs; [ hyprland-autoname-workspaces ];
    file.".config/hyprland-autoname-workspaces/config.toml".text = ''
      version = "1.1.14"

      [class]
      VirtualBox = ""
      steam = "󰓓"
      "VirtualBox Manager" = ""
      "com.obsproject.Studio" = ""
      "[Ff]irefox" = "󰈹"
      "[Tt]hunderbird" = ""
      pcbnew = ""
      ".*.exe" = ""
      Element = "󰘨"
      Signal = "󱅵"
      Gimp = ""
      VSCodium = "󰨞"
      "[sS]potify" = ""
      virt-manager = ""
      lutris = "󰊗"
      DEFAULT = "{class}"
      "epicgameslauncher.exe" = "󰯷"
      "[Cc]ode" = "󰨞"
      "galaxyclient.exe" = "󰮡"
      pavucontrol = "󰕾"
      "Tor Browser" = "󰾔"
      mpv = ""
      chatterino = ""
      libreoffice-writer = ""
      kitty = ""
      "cyberpunk2077.exe" = "󰾲"
      KiCad = ""
      "[tT]hunar" = ""
      "riotclientux.exe" = "󰰌"
      libreoffice-calc = ""
      "org.remmina.Remmina" = "󰢹"
      "org.inkscape.Inkscape" = "󰕙"
      "VirtualBox Machine" = ""
      Bitwarden = ""
      "[gG]imp-.*" = ""
      Chromium = ""
      obsidian = "󰠮"
      "leagueclientux.exe" = "󰰌"
      zathura = "󰈦"
      code-oss = "󰨞"
      codium-url-handler = "󰨞"
      discord = "󰙯"
      vesktop = "󰙯"
      blueman-manager = "󰂯"
      Alacritty = ""
      zoom = "󰬡"
      spotify = ""

      [class_active]
      "(?i)ExampleOneTerm" = "icon"

      [initial_class]

      [initial_class_active]

      [workspaces_name]

      [title_in_class]

      [title_in_class_active]

      [title_in_initial_class]

      [title_in_initial_class_active]

      [initial_title_in_class]

      [initial_title]
      "Spotify Premium" = ""

      [initial_title_in_class_active]

      [initial_title_in_initial_class]

      [initial_title_in_initial_class_active]

      [exclude]
      aProgram = "^$"
      "" = "^$"
      "(?i)fcitx" = ".*"
      "[Ss]team" = "^(Friends List.*)?$"
      "explorer.exe" = ".*"
      "(?i)TestApp" = ""

      [format]
      dedup = false
      dedup_inactive_fullscreen = false
      delim = " "
      workspace = "{id}:{clients}"
      workspace_empty = "{id}"
      client = "{icon}"
      client_fullscreen = "{icon}"
      client_active = "{icon}"
      client_dup = "{icon}{counter_sup}"
      client_dup_active = "*{icon}*{delim}{icon}{counter_unfocused_sup}"
      client_dup_fullscreen = "[{icon}]{delim}{icon}{counter_unfocused_sup}"
    '';
  };
}
